
public class Class350 {

   Interface40 anInterface40_4451;
   boolean aBool4452;
   boolean aBool4453;
   Interface40 anInterface40_4454;


   boolean method6355() {
      return this.aBool4453 && !this.aBool4452;
   }

   boolean method6356() {
      return this.aBool4453 && !this.aBool4452;
   }

   boolean method6357() {
      return this.aBool4453 && !this.aBool4452;
   }

   Class350(boolean var1) {
      this.aBool4452 = var1;
   }

   boolean method6358() {
      return this.aBool4453 && !this.aBool4452;
   }

   void method6359() {
      if(this.anInterface40_4454 != null) {
         this.anInterface40_4454.method10();
      }

      this.aBool4453 = false;
   }
}
